## kubuntu-docs 5.10-0.6

=== kde/Makefile ===
# Makefile for the Kubuntu Documentation
# Sean Wheller <sean@inwords.co.za>
# Matt Galvin <matt.t.galvin@gmail.com>

MAKECMD=make

# XSL Processors
XSLTPROC=$(shell which xsltproc)

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl
NWDBFOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
else
# SuSE
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
NWDBFOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/fo/docbook.xsl
endif

KDEXSL=/usr/share/apps/ksgmltools2/customization/kde-chunk.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Kubuntu Docbook HTML Customization Layer
KHTMLXSL=libs/kde-ubuntu.xsl

# Kubuntu Docbook FO Customization Layer
KFOXSL=libs/kfo-cust.xsl

# About Ubuntu Docbook HTML Customization Layer
AUHTMLXSL=libs/about-ubuntu-html-cust.xsl

# Base kde directories for output from processor
KBASE=../build/kde/

KDSBASE=../build/kde/specs/

KSTBASE=../build/kde/status/

KUGBASE=../build/kde/kuserguide/

KQGBASE=../build/kde/kquickguide/

KAGBASE=../build/kde/kadminguide/

KINBASE=../build/kde/kubuntu-install/

KRNBASE=../build/kde/krelease-notes/

KAKBASE=../build/kde/about-kubuntu/

KUMBASE=../build/kde/kynaptic/

FAQBASEI386=../build/kde/kfaqi386/

FAQBASEAMD64=../build/kde/kfaqamd64/

FAQBASEPPC=../build/kde/kfaqppc/

kall: kspec kstatus pip kug kqg kin krn kak kum kfaq


# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: kqg krn kak

#Status: AVAILABLE
# Kubuntu Document Specifications
kspec:
	@echo "Building the Kubuntu Document Specifications . . ."

	xsltproc -o $(KDSBASE)kreleasenotes-spec.html $(wOS) docspecs/kquickguide-spec.xml

# No File Yet
#	xsltproc -o $(KDSBASE)kadminguide-spec.html $(KDEXSL) docspecs/kadminguide-spec.xml

	xsltproc -o $(KDSBASE)kinstalguide-spec.html $(KDEXSL) docspecs/kinstalguide-spec.xml

	xsltproc -o $(KDSBASE)kquickguide-spec.html $(KDEXSL) docspecs/kquickguide-spec.xml

	xsltproc -o $(KDSBASE)kuserguide-spec.xml $(KDEXSL) docspecs/kuserguide-spec.xml

#Status: AVAILABLE
# Kubuntu Status Reports
kstatus:
	@echo "Building the Kubuntu Status Reports . . ."

	xsltproc -o $(KSTBASE)kug-report.xml $(wOS) kuserguide/C/kuserguide.xml
	xsltproc -o $(KSTBASE)kug-report.html $(KDEXSL) $(KSTBASE)kug-report.xml

	xsltproc -o $(KSTBASE)kqg-report.xml $(wOS) kquickguide/C/kquickguide.xml
	xsltproc -o $(KSTBASE)kqg-report.html $(KDEXSL) $(KSTBASE)kqg-report.xml

# No File Yet
#	xsltproc -o $(KSTBASE)kag-report.xml $(wOS) kadminguide/C/kadminguide.xml
#	xsltproc -o $(KSTBASE)kag-report.html $(KDEXSL) $(KSTBASE)kag-report.xml

	xsltproc -o $(KSTBASE)kin-report.xml $(wOS) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(KSTBASE)kin-report.html $(KDEXSL) $(KSTBASE)kin-report.xml

	xsltproc -o $(KSTBASE)krn-report.xml $(wOS) kreleasenotes/C/kreleasenotes.xml
	xsltproc -o $(KSTBASE)krn-report.html $(KDEXSL) $(KSTBASE)krn-report.xml

	xsltproc -o $(KSTBASE)kak-report.xml $(wOS) aboutkubuntu/C/about-kubuntu.xml
	xsltproc -o $(KSTBASE)kak-report.html $(KDEXSL) $(KSTBASE)kak-report.xml

	xsltproc -o $(KSTBASE)kum-report.xml $(wOS) kynaptic/C/kynaptic.xml
	xsltproc -o $(KSTBASE)kum-report.html $(KDEXSL) $(KSTBASE)kum-report.xml

	@echo "Complete. Find outputs at" $(KSTBASE)

#Status: AVAILABLE
#Preview Index Page
pip:
	@echo "Building the Preview Index Page . . ."

	xsltproc -o $(KBASE)index.html $(KDEXSL) index.xml

#Status: AVAILABLE
# K User Guide
kug:
	@echo "Building the Kubuntu User Guide . . ."

	xsltproc --xinclude --stringparam base.dir $(KUGBASE)C/ $(KHTMLXSL) kuserguide/C/kuserguide.xml
	xsltproc -o $(KBASE)kug-imagelist.txt $(MKIMGLST) kuserguide/C/kuserguide.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KUGBASE)

#Status: AVAILABLE
# K Quick Guide
kqg:
	@echo "Building the Kubuntu Quick Guide . . ."

	xsltproc --stringparam base.dir $(KQGBASE)C/ $(KHTMLXSL) kquickguide/C/kquickguide.xml
	# for some unknown reason xsltproc insits on outputting to stdout when using the KDE stylesheet, so use meinproc
#	xsltproc --stringparam base.dir $(KQGBASE)C/ $(KDEXSL) kquickguide/C/kquickguide.xml
#	cd ../build/kde/kquickguide/C/
#	meinproc --stylesheet /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl kquickguide/C/kquickguide.xml
#	cd -
	xsltproc -o $(KQGBASE)kqg-imagelist.txt $(MKIMGLST) kquickguide/C/kquickguide.xml
	for asdf in $(KQGBASE)C/*html; do \
		sed -i s/http:\\/\\/docbook.sourceforge.net\\/release\\/images\\/draft.png// $${asdf}; \
	done

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KQGBASE)

#Status: AVAILABLE
# K PDF Installation Guide
kinpdf:
	echo "Building PDF of Kubuntu Installation Guide . . ."
	java com.icl.saxon.StyleSheet -o $(KINBASE)C/kubuntu-installguide.fo ../generic/instalguide/C/installation-guide.xml $(KFOXSL)
 
	cp -rf ../generic/images/C/*.* $(KBASE)images/C
 
	java org.apache.fop.apps.Fop -fo $(KINBASE)C/kubuntu-installguide.fo -pdf $(KINBASE)C/kubuntu-installguide.pdf

	rm $(KINBASE)C/kubuntu-installguide.fo

#Status: AVAILABLE
# K About Kubuntu Document
kak:
	@echo "Building About Kubuntu Document"

	xsltproc -o $(KAKBASE)C/index.html $(KDEXSL) aboutkubuntu/C/about-kubuntu.xml
	xsltproc -o $(KAKBASE)kak-imagelist.txt $(MKIMGLST) aboutkubuntu/C/about-kubuntu.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KAKBASE)

#Status: AVAILABLE
# K Release Notes
krn:
	@echo "Building the Kubuntu Release Notes . . ."

	xsltproc -o $(KRNBASE)C/kreleasenotes.html $(KDEXSL) kreleasenotes/C/kreleasenotes.xml
	xsltproc -o $(KRNBASE)krn-imagelist.txt $(MKIMGLST) kreleasenotes/C/kreleasenotes.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(KRNBASE)

#Status: AVAILABLE
# K Installation Guide
kin:
	
	@echo "Building the Kubuntu Installation Guide . . ."
	
	xsltproc --stringparam base.dir $(KINBASE)C/ --stringparam profile.os "kde" $(KHTMLXSL) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KINBASE)

#Status: NOT WORKING
# K Administration Guide
kag:
	
	@echo "Building the Kubuntu Administration Guide . . ."
	
	xsltproc --stringparam base.dir $(KAGBASE)C/ $(KHTMLXSL) adminguide/C/adminguide.xml
	xsltproc -o $(KAGBASE)kad-imagelist.txt $(MKIMGLST) kadminguide/C/kadminguide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(KAGBASE)

#Status: AVAILABLE
# K FAQ Guide - build for all archs (i386, amd64, ppc)
kfaq: kfaqi386 kfaqamd64 kfaqppc

#Status: AVAILABLE
# K FAQ Guide (i386)
kfaqi386:
	
	@echo "Building the Kubuntu FAQ Guide (i386). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEI386)C/ --stringparam profile.os "kde" --stringparam profile.arch "i386" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEI386)

#Status: AVAILABLE
# K FAQ Guide (amd64)
kfaqamd64:
	
	@echo "Building the Kubuntu FAQ Guide (amd64). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEAMD64)C/ --stringparam profile.os "kde" --stringparam profile.arch "amd64" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEAMD64)

#Status: AVAILABLE
# K FAQ Guide (ppc)
kfaqppc:
	
	@echo "Building the Kubuntu FAQ Guide (ppc). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEPPC)C/ --stringparam profile.os "kde" --stringparam profile.arch "ppc" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEPPC)

#Status: AVAILABLE
# Kynaptic User Manual
kum:
	@echo "Building the Kynaptic User Manual . . ."
	
	xsltproc --stringparam base.dir $(KUMBASE)C/ $(KHTMLXSL) kynaptic/C/kynaptic.xml
	xsltproc -o $(KUMBASE)kun-imagelist.txt $(MKIMGLST) kynaptic/C/kynaptic.xml
	
	mkdir -p $(KUMBASE)C/figures
	cp -rf kynaptic/C/figures/*.* $(KUMBASE)C/figures/
	
#	mkdir -p $(KUMBASE)C/figures/admon
#	cp -rf ../common/admon/*.* $(KBASE)images/admon
	
#	mkdir -p $(KBASE)images/callouts
#	cp -rf ../common/callouts/*.* $(KBASE)images/callouts
	
#	mkdir -p $(KBASE)images/navig
#	cp -rf ../common/navig/*.* $(KBASE)images/navig
	
	@echo "Complete. Find outputs at" $(KUMBASE)

# Added for the .deb package
# Frode M. Doeving <frode@lnix.net>
clean:
	rm -rf $(KBASE)

=== debian/changelog ===
kubuntu-docs (5.10-0.6) breezy; urgency=low

  * fixed type in debian/preinst and swearing my space key

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Oct 2005 13:42:47 +0200

kubuntu-docs (5.10-0.5) breezy; urgency=low

  * debian/preinst: 
    - removed not needed dpkg-divert --list stuff
    - Only do the divert during install or upgrade
  * debian/postrm:
    - removed bashism ;) (Thx Kamion)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Oct 2005 13:35:14 +0200

kubuntu-docs (5.10-0.4) breezy; urgency=low

  * Use KDE stylesheets
  * debian/preinst: added dpkg-divert to divert
    /usr/share/ubuntu-artwork/home/index.html from ubuntu-docs
  * debian/postrm: remove the dpkg-divert
  * debian/links: add link to
    /usr/share/doc/kde/HTML/en/khelpcenter/kubuntu/about-kubuntu/C/index.html
  * Updates to documentation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  5 Oct 2005 16:58:03 +0100

kubuntu-docs (5.10-0.3) breezy; urgency=low

  * Update to latest version
  * Drop User Guide, it won't be finished in time

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  4 Oct 2005 18:48:00 +0100

kubuntu-docs (5.10-0.2) breezy; urgency=low

  * Initial release
  * Start release notes, add them to User Guide

 -- Sean Wheller <sean@inwords.co.za>  Sat,  9 Jul 2005 09:16:22 +0200

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data
Standards-Version: 3.6.2

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * About Kubuntu
  * Kubuntu Release Notes
  * Kubuntu Quick Guide  
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

build-stamp:
	touch build-stamp

build: build-stamp
	# go to kde/ and execute 'make kdeb'
	make -C kde/ kdeb


install/kubuntu-docs::
	# *.desktop files to make documents appear in khelpcenter
	dh_install kde/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/
	# this is the .directory file for proper naming in khelpcenter.
	dh_install kde/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	# and here goes the documentation.
	dh_install build/kde/* usr/share/doc/kde/HTML/en/khelpcenter/kubuntu/

	
clean::
	# clean up
	make -C kde/ clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 5.10-0.6.2

=== debian/changelog ===
kubuntu-docs (5.10-0.6.2) breezy-updates; urgency=low

  * Use the correct path for the Firefox index page.  Malone #27906

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 10 Apr 2006 13:54:47 +0200

kubuntu-docs (5.10-0.6.1) breezy-updates; urgency=low

  [ Jonathan Riddell ]  
  * Use update-alternatives for Firefox index page
  
  [ Tollef Fog Heen ]
  * Conflict with versions of ubuntu-docs and edubuntu-artwork not using
    update-alternatives for Firefox index page.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Dec 2005 22:21:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: kubuntu-docs
 Architecture: all
 Depends: khelpcenter
+Conflicts: ubuntu-docs (<< 5.10-6.1), edubuntu-artwork (<< 0.1.0-9.1)
 Description: kubuntu documentation
  The Kubuntu documentation is in this package.
  Documentation in this package includes:

## kubuntu-docs 6.06-11

=== debian/changelog ===
kubuntu-docs (6.06-11) dapper; urgency=low

  * Update translations in .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 May 2006 13:26:37 +0100

kubuntu-docs (6.06-10) dapper; urgency=low

  [ Jonathan Riddell ]
  * Add links in each langauge to en/common, makes html files work when 
    viewed without help:/ ioslave

  [ Matthew East ]
  * Updated translations for everything (last update before the release)

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 May 2006 21:32:00 +0100

kubuntu-docs (6.06-9) dapper; urgency=low

  * Fix link to sample in desktopguide

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 May 2006 17:06:48 +0300

kubuntu-docs (6.06-8) dapper; urgency=low

  * Alter debian/rules to include translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 May 2006 02:31:40 +0300

kubuntu-docs (6.06-7) dapper; urgency=low

  * Rebuild for new locales for DapperFirefoxStartPageTranslation

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 17:27:20 +0100

kubuntu-docs (6.06-6) dapper; urgency=low

  * Support DapperFirefoxStartPageTranslation:
    - add slave link
    - install link farm
    - build-depend on ubuntu-docs now
    Translations could be added in the source package as
    build/kbuntu/homepage-locales/index-LOCALE.html; see the wiki for
    details of values of LOCALE for which this won't just be ignored.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 21 Apr 2006 18:41:27 +0100

kubuntu-docs (6.06-5) dapper; urgency=low

  * New snapshot, includes some string changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Apr 2006 20:51:31 +0200

kubuntu-docs (6.06-4) dapper; urgency=low

  * Branching and string freeze.
  * Removing an unnecessary build-dep (poxml)
  * Removing images from the source and binary packages (these are not used)
  * Removing unused files from the source.

 -- Matthew East <mdke@ubuntu.com>  Wed,  12 Apr 2006 14:19:00 +0100

kubuntu-docs (6.06-3) dapper; urgency=low

  * Install doc-base files in rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  8 Apr 2006 23:15:28 +0100

kubuntu-docs (6.06-2) dapper; urgency=low

  * New snapshot 
  * Add file:/// to sed rule
 
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Apr 2006 20:09:57 +0100

kubuntu-docs (6.06-1) dapper; urgency=low

  * New snapshot
  * Use sed to change path to absolute on about-kubuntu for firefox

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Mar 2006 21:13:09 +0100

kubuntu-docs (6.04-6) dapper; urgency=low

  * Using xsltproc to generate all html
  * Nice kde themed html for all documents
  * Adding packaging guide to khelpdesktop
  * Not shipping quickguide any more

 -- Matthew East <mdke@ubuntu.com>  Sun, 12 Mar 2006 14:06:29 +0000

kubuntu-docs (6.04-5) dapper; urgency=low

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2006 20:55:55 +0000

kubuntu-docs (6.04-4) dapper; urgency=low

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 21:14:29 +0000

kubuntu-docs (6.04-3) dapper; urgency=low

  * Add debian/dirs file to create firefox homepage directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  2 Jan 2006 17:03:59 +0000

kubuntu-docs (6.04-2) dapper; urgency=low

  * New snapshot
  * Use update-alternatives for the firefox about page

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Dec 2005 15:00:47 +0000

kubuntu-docs (6.04-1) dapper; urgency=low

  * First Dapper build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Nov 2005 19:34:31 +0000

## kubuntu-docs 6.06-12

=== generic/Makefile ===
# Makefile for the Generic Ubuntu documentation
# Jeff Schering <jeffschering@gmail.com>

# Base directories for output from processor
IMAGES=../build/generic/images/

# Server Guide
# NOTE: this target points to the actual makefile in the ubuntu directory 
server:
	make -C ../ubuntu -f Makefile server

# Packaging Guide
# NOTE: this target points to the actual makefile in the ubuntu directory 
package:
	make -C ../ubuntu -f Makefile package

# Style Guide
# NOTE: this target points to the actual makefile in the ubuntu directory 
sg:
	make -C ../ubuntu -f Makefile sg

# NOTE: this target points to the actual makefile in the ubuntu directory.
sg-pdf:

	make -C ../ubuntu -f Makefile sg-pdf

copy-files:
# Delete all images before copying them over from the repos. This is a brute-force way
# of removing unused images from the build directory.
	rm -f $(IMAGES)*.*

	mkdir -p $(IMAGES)C
	cp -r images/C/*.* $(IMAGES)C

	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

	cp default.css ../build/generic/default.css

=== kubuntu/Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Stylesheets for building HTML and PDF
KUBUNTUXSL=libs/kubuntu-chunk.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

BUILDDIR=../build/

# Base kde directories for output from processor
KBASE=$(BUILDDIR)kubuntu/

PDFBASE=$(BUILDDIR)pdf/kubuntu/

LULUBASE=../build/lulu/kubuntu/

KRNBASE=$(BUILDDIR)kubuntu/release-notes/

KAKBASE=$(BUILDDIR)kubuntu/about-kubuntu/

SERVERBASE=$(BUILDDIR)kubuntu/serverguide/

PACKAGEBASE=$(BUILDDIR)kubuntu/packagingguide/

DESKTOPBASE=$(BUILDDIR)kubuntu/desktopguide/

all: about desktop release-notes package server

	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

# This is a reduced version of all, because we don't need the serverguide or packagingguide for the website (it's already in the ubuntu makefile)
website: about desktop release-notes

	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: release-notes about server desktop package

#Status: AVAILABLE
# K About Kubuntu Document

about: ../build/kubuntu/about-kubuntu/C/index.html ../build/kubuntu/about-kubuntu/am/index.html ../build/kubuntu/about-kubuntu/ar/index.html ../build/kubuntu/about-kubuntu/bn/index.html ../build/kubuntu/about-kubuntu/cs/index.html ../build/kubuntu/about-kubuntu/da/index.html ../build/kubuntu/about-kubuntu/de/index.html ../build/kubuntu/about-kubuntu/en_AU/index.html ../build/kubuntu/about-kubuntu/en_CA/index.html ../build/kubuntu/about-kubuntu/es/index.html ../build/kubuntu/about-kubuntu/et/index.html ../build/kubuntu/about-kubuntu/fr/index.html ../build/kubuntu/about-kubuntu/gl/index.html ../build/kubuntu/about-kubuntu/hu/index.html ../build/kubuntu/about-kubuntu/id/index.html ../build/kubuntu/about-kubuntu/it/index.html ../build/kubuntu/about-kubuntu/ja/index.html ../build/kubuntu/about-kubuntu/ka/index.html ../build/kubuntu/about-kubuntu/ko/index.html ../build/kubuntu/about-kubuntu/lt/index.html ../build/kubuntu/about-kubuntu/nb/index.html ../build/kubuntu/about-kubuntu/oc/index.html ../build/kubuntu/about-kubuntu/pl/index.html ../build/kubuntu/about-kubuntu/pt/index.html ../build/kubuntu/about-kubuntu/pt_BR/index.html ../build/kubuntu/about-kubuntu/ro/index.html ../build/kubuntu/about-kubuntu/ru/index.html ../build/kubuntu/about-kubuntu/sk/index.html ../build/kubuntu/about-kubuntu/sl/index.html ../build/kubuntu/about-kubuntu/sv/index.html ../build/kubuntu/about-kubuntu/tl/index.html ../build/kubuntu/about-kubuntu/tr/index.html ../build/kubuntu/about-kubuntu/zh_CN/index.html ../build/kubuntu/about-kubuntu/zh_HK/index.html

	@echo "Building About Kubuntu Document"
	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

../build/kubuntu/about-kubuntu/%/index.html: aboutkubuntu/%/about-kubuntu.xml
	xsltproc -o $@ $(KUBUNTUXSL) $<

#Status: AVAILABLE
# K Release Notes

release-notes: build/kubuntu/release-notes/C/releasenotes.html

build/kubuntu/release-notes/C/releasenotes.html: releasenotes/C/releasenotes.xml
	@echo "Building the Kubuntu Release Notes . . ."

	xsltproc -o $(KRNBASE)C/releasenotes.html $(KUBUNTUXSL) releasenotes/C/releasenotes.xml

	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

	@echo "Complete. Find outputs at" $(KRNBASE)

# Server Guide

server: ../build/kubuntu/serverguide/C/index.html ../build/kubuntu/serverguide/bn/index.html ../build/kubuntu/serverguide/de/index.html ../build/kubuntu/serverguide/en_GB/index.html ../build/kubuntu/serverguide/es/index.html ../build/kubuntu/serverguide/et/index.html ../build/kubuntu/serverguide/fr/index.html ../build/kubuntu/serverguide/he/index.html ../build/kubuntu/serverguide/id/index.html ../build/kubuntu/serverguide/it/index.html ../build/kubuntu/serverguide/ko/index.html ../build/kubuntu/serverguide/lt/index.html ../build/kubuntu/serverguide/pl/index.html ../build/kubuntu/serverguide/pt/index.html ../build/kubuntu/serverguide/pt_BR/index.html ../build/kubuntu/serverguide/ro/index.html ../build/kubuntu/serverguide/sk/index.html ../build/kubuntu/serverguide/sv/index.html ../build/kubuntu/serverguide/tr/index.html ../build/kubuntu/serverguide/urd/index.html ../build/kubuntu/serverguide/zh_CN/index.html
	@echo "Building the Server Guide . . ."
	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

../build/kubuntu/serverguide/%/index.html: ../generic/serverguide/%/serverguide.xml
	xsltproc --xinclude -o $@ $(KUBUNTUXSL) $<

# Desktop Guide

desktop: ../build/kubuntu/desktopguide/C/index.html ../build/kubuntu/desktopguide/bn/index.html ../build/kubuntu/desktopguide/cs/index.html ../build/kubuntu/desktopguide/de/index.html ../build/kubuntu/desktopguide/es/index.html ../build/kubuntu/desktopguide/fr/index.html ../build/kubuntu/desktopguide/hu/index.html ../build/kubuntu/desktopguide/id/index.html ../build/kubuntu/desktopguide/it/index.html ../build/kubuntu/desktopguide/ko/index.html ../build/kubuntu/desktopguide/pl/index.html ../build/kubuntu/desktopguide/pt/index.html ../build/kubuntu/desktopguide/pt_BR/index.html ../build/kubuntu/desktopguide/ru/index.html ../build/kubuntu/desktopguide/sk/index.html ../build/kubuntu/desktopguide/sl/index.html ../build/kubuntu/desktopguide/sv/index.html ../build/kubuntu/desktopguide/tl/index.html ../build/kubuntu/desktopguide/zh_CN/index.html ../build/kubuntu/desktopguide/zh_TW/index.html

	# copy sample files to build directory
	mkdir -p $(DESKTOPBASE)sample
	cp -r desktopguide/sample/* $(DESKTOPBASE)sample/

	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

../build/kubuntu/desktopguide/%/index.html: desktopguide/%/desktopguide.xml
	xsltproc --xinclude -o $@ $(KUBUNTUXSL) $<

# Packaging Guide
package: ../build/kubuntu/packagingguide/C/index.html ../build/kubuntu/packagingguide/bn/index.html ../build/kubuntu/packagingguide/de/index.html ../build/kubuntu/packagingguide/es/index.html ../build/kubuntu/packagingguide/fr/index.html ../build/kubuntu/packagingguide/id/index.html ../build/kubuntu/packagingguide/it/index.html ../build/kubuntu/packagingguide/ka/index.html ../build/kubuntu/packagingguide/ko/index.html ../build/kubuntu/packagingguide/pt/index.html ../build/kubuntu/packagingguide/pt_BR/index.html ../build/kubuntu/packagingguide/ro/index.html  ../build/kubuntu/packagingguide/ru/index.html ../build/kubuntu/packagingguide/sk/index.html ../build/kubuntu/packagingguide/sv/index.html ../build/kubuntu/packagingguide/tl/index.html ../build/kubuntu/packagingguide/tr/index.html ../build/kubuntu/packagingguide/urd/index.html ../build/kubuntu/packagingguide/zh_CN/index.html
	@echo "Building the Packaging Guide . . ."
	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

../build/kubuntu/packagingguide/%/index.html: ../generic/packagingguide/%/packagingguide.xml
	xsltproc --xinclude -o $@ $(KUBUNTUXSL) $<

# PDFs in A4 size

pdf: desktop-pdf

desktop-pdf: desktop-pdf-C desktop-pdf-bn desktop-pdf-cs desktop-pdf-es desktop-pdf-fr desktop-pdf-it desktop-pdf-ko desktop-pdf-pl desktop-pdf-pt_BR desktop-pdf-ru desktop-pdf-sk desktop-pdf-sv desktop-pdf-tl desktop-pdf-zh_CN desktop-pdf-zh_TW

desktop-pdf-C:

	xsltproc --xinclude -o $(PDFBASE)C/desktopguide.fo $(PDFSTYLE) desktopguide/C/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
	rm $(PDFBASE)C/desktopguide.fo

desktop-pdf-bn:

	xsltproc --xinclude -o $(PDFBASE)bn/desktopguide.fo $(PDFSTYLE) desktopguide/bn/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
	rm $(PDFBASE)bn/desktopguide.fo

desktop-pdf-cs:

	xsltproc --xinclude -o $(PDFBASE)cs/desktopguide.fo $(PDFSTYLE) desktopguide/cs/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
	rm $(PDFBASE)cs/desktopguide.fo

desktop-pdf-es:

	xsltproc --xinclude -o $(PDFBASE)es/desktopguide.fo $(PDFSTYLE) desktopguide/es/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
	rm $(PDFBASE)es/desktopguide.fo

desktop-pdf-fr:

	xsltproc --xinclude -o $(PDFBASE)fr/desktopguide.fo $(PDFSTYLE) desktopguide/fr/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
	rm $(PDFBASE)fr/desktopguide.fo

desktop-pdf-it:

	xsltproc --xinclude -o $(PDFBASE)it/desktopguide.fo $(PDFSTYLE) desktopguide/it/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)it/desktopguide.fo -pdf $(PDFBASE)it/desktopguide.pdf
	rm $(PDFBASE)it/desktopguide.fo

desktop-pdf-ko:

	xsltproc --xinclude -o $(PDFBASE)ko/desktopguide.fo $(PDFSTYLE) desktopguide/ko/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)ko/desktopguide.fo -pdf $(PDFBASE)ko/desktopguide.pdf
	rm $(PDFBASE)ko/desktopguide.fo

desktop-pdf-pl:

	xsltproc --xinclude -o $(PDFBASE)pl/desktopguide.fo $(PDFSTYLE) desktopguide/pl/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)pl/desktopguide.fo -pdf $(PDFBASE)pl/desktopguide.pdf
	rm $(PDFBASE)pl/desktopguide.fo

=== debian/changelog ===
kubuntu-docs (6.06-12) dapper-updates; urgency=low

  * Updated release notes from Jonathan Jesse
    closes launchpad #48525

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  2 Aug 2006 20:22:14 +0100

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, kdelibs-data, kdelibs-bin, ubuntu-docs (>= 6.04.7)
Standards-Version: 3.6.1.0

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * About Kubuntu
  * Kubuntu Release Notes
  * Kubuntu Desktop Guide
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

build-stamp:
	touch build-stamp

build: build-stamp
	make -C kubuntu kdeb

install/kubuntu-docs::
	# *.desktop files to make documents appear in khelpcenter
	dh_install kubuntu/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/
	# this is the .directory file for proper naming in khelpcenter.
	dh_install kubuntu/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde/HTML/en/common/
	# and here goes the documentation.

	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/desktopguide/C/* usr/share/doc/kde/HTML/en/kubuntu/desktopguide/
	dh_install build/kubuntu/release-notes/C/* usr/share/doc/kde/HTML/en/kubuntu/krelease-notes/
	dh_install build/kubuntu/serverguide/C/* usr/share/doc/kde/HTML/en/kubuntu/serverguide/
	dh_install build/kubuntu/packagingguide/C/* usr/share/doc/kde/HTML/en/kubuntu/packagingguide/
	sed -i "s/\.\.\/\.\.\//file:\/\/\/usr\/share\/doc\/kde\/HTML\/en\//" debian/kubuntu-docs/usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/index.html

	for files in `cd build/kubuntu/about-kubuntu/ && ls`; do \
		dh_install build/kubuntu/about-kubuntu/$$files/* usr/share/doc/kde/HTML/$$files/kubuntu/about-kubuntu/; \
	done;
	for files in `cd build/kubuntu/desktopguide/ && ls`; do \
		dh_install build/kubuntu/desktopguide/$$files/* usr/share/doc/kde/HTML/$$files/kubuntu/desktopguide/; \
		ln -sf ../../sample/kubuntu/desktopguide/ debian/kubuntu-docs/usr/share/doc/kde/HTML/$$files/kubuntu/sample; \
	done;
	for files in `cd build/kubuntu/release-notes/ && ls`; do \
		dh_install build/kubuntu/release-notes/$$files/* usr/share/doc/kde/HTML/$$files/kubuntu/krelease-notes/; \
	done;
	for files in `cd build/kubuntu/serverguide/ && ls`; do \
		dh_install build/kubuntu/serverguide/$$files/* usr/share/doc/kde/HTML/$$files/kubuntu/serverguide/; \
	done;
	for files in `cd build/kubuntu/packagingguide/ && ls`; do \
		dh_install build/kubuntu/packagingguide/$$files/* usr/share/doc/kde/HTML/$$files/kubuntu/packagingguide/; \
	done;

	# link the common/ dir for each language so that images show well
	for lang in `cd debian/kubuntu-docs/usr/share/doc/kde/HTML && ls | grep -v "en$$"`; do \
		echo $$lang debian/kubuntu-docs/usr/share/doc/kde/HTML; \
		ln -sf ../en/common debian/kubuntu-docs/usr/share/doc/kde/HTML/$${lang}/; \
	done

	# install doc-base files
	dh_install debian/kubuntu-desktopguide usr/share/doc-base
	dh_install debian/kubuntu-serverguide usr/share/doc-base
	dh_install debian/kubuntu-packagingguide usr/share/doc-base

	/usr/share/ubuntu-docs/common/prepare-firefox-startpage-translations \
		build/kubuntu/homepage-locales \
		debian/kubuntu-docs \
		/usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/locales \
		../index.html

clean::
	# clean up
	make -C kubuntu clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs
